<div class="container">
    <h4 class="text-white text-center mb-5">Add Game</h4>
</div>

<form [formGroup]="addGroupForm" (ngSubmit)="onSubmit()">

    <app-text-input formControlName="name" [label]="'Name'"></app-text-input>
    <app-textarea formControlName="description" [label]="'Description'"></app-textarea>
    <app-text-input formControlName="price" [label]="'Price'" [type]="'number'"></app-text-input>

    <div class="mb-4 row justify-content-center">
        <label for="genres" class="col-sm-2 col-form-label text-white">Genres</label>
        <div class="col-sm-5">
            <ng-select formControlName="dropdown" placeholder="Select genres" [multiple]="true"
                dropdownPosition="bottom" [closeOnSelect]="false" [hideSelected]="true" [(ngModel)]="selectedGenres">
                <ng-option *ngFor="let genre of genres" [value]="genre.id">{{genre.name}}</ng-option>
            </ng-select>
        </div>
    </div>

    <div class="mb-4 row justify-content-center">
        <label for="sub-genres" class="col-sm-2 col-form-label text-white">Sub-genres</label>
        <div class="col-sm-5">
            <ng-select placeholder="Select sub-genres" [multiple]="true" dropdownPosition="bottom"
                [closeOnSelect]="false" [hideSelected]="true" [(ngModel)]="selectedSubGenres"
                [ngModelOptions]="{standalone: true}">
                <ng-option *ngFor=" let genre of subGenres" [value]="genre.id">{{genre.name}}</ng-option>
            </ng-select>
        </div>
    </div>

    <div class="mb-4 row justify-content-center">
        <label for="photo" class="col-sm-2 col-form-label text-white">Photo</label>
        <div class="col-sm-5">
            <input formControlName="image" type="file" class="form-control" accept="image/jpeg" #image
                placeholder="Click here to upload an image" (change)="uploadImage(image.files)">
        </div>
    </div>

    <div class="row justify-content-center">
        <div class="box col-sm-7">

        </div>
        <div class="col">
            <button [disabled]="this.addGroupForm.invalid" type="submit" class="btn btn-success me-5">Submit</button>
            <button class="btn btn-warning ms-3" [routerLink]="['games']">Cancel</button>
        </div>

    </div>
</form>